Merge "Once files moved to aos folder and files updated accordingly"
diff --git a/third_party/gperftools/BUILD b/third_party/gperftools/BUILD
index 7676131..b1e1f0f 100644
--- a/third_party/gperftools/BUILD
+++ b/third_party/gperftools/BUILD
@@ -208,7 +208,8 @@
],
copts = common_copts + [
'-fno-builtin',
- '-Wno-mismatched-new-delete',
+ # Add this back in when we upgrade clang.
+ #'-Wno-mismatched-new-delete',
],
size = 'small',
)
diff --git a/tools/ci/run-tests.sh b/tools/ci/run-tests.sh
new file mode 100755
index 0000000..4de8e30
--- /dev/null
+++ b/tools/ci/run-tests.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e
+
+bazel --batch test -c opt --curses=no --color=no --jobs=1 //... -- $(cat NO_BUILD_AMD64)
+bazel --batch build -c opt --curses=no --color=no --jobs=1 //... --cpu=roborio -- $(cat NO_BUILD_ROBORIO)
diff --git a/y2017/control_loops/superstructure/superstructure_lib_test.cc b/y2017/control_loops/superstructure/superstructure_lib_test.cc
index 513e2f2..e4e391c 100644
--- a/y2017/control_loops/superstructure/superstructure_lib_test.cc
+++ b/y2017/control_loops/superstructure/superstructure_lib_test.cc
@@ -1159,8 +1159,9 @@
chrono::milliseconds(1050));
EXPECT_TRUE(unstuck_detection_time - unstuck_start_time >
chrono::milliseconds(400));
- LOG(INFO, "Unstuck time is %ldms",
- (unstuck_detection_time - unstuck_start_time).count() / 1000000);
+ LOG(INFO, "Unstuck time is %" PRId64 "ms",
+ static_cast<int64_t>(
+ (unstuck_detection_time - unstuck_start_time).count() / 1000000));
// Now, make sure it transitions to stuck again after a delay.
const auto restuck_start_time = monotonic_clock::now();